//https://github.com/spite/Wagner/blob/master/fragment-shaders/pixelate-fs.glsl
in vec2 TexCoord;
uniform sampler2D Texture;
//uniform vec2 resolution;
const vec2 resolution = vec2(1280,720);
//uniform float amount;
const float amount = 320.0;

void main() {

	float d = 1.0 / amount;
	float ar = resolution.x / resolution.y;
	float u = floor( TexCoord.x / d ) * d;
	d = ar / amount;
	float v = floor( TexCoord.y / d ) * d;
	gl_FragColor = texture2D( Texture, vec2( u, v ) );

}