//Bayer Ordered dithering
uniform sampler2D Texture;
in vec2 TexCoord;
out vec4 FragColor;

void main()
{
vec3 color = texture2D(Texture, TexCoord.xy).rgb;
vec3 luminosity = vec3(0.30, 0.59, 0.11);
float lum = dot(luminosity, color);

float v = gl_FragCoord.s;
float h = gl_FragCoord.t;

FragColor = vec4(1.0, 1.0, 1.0, 1.0);

if (lum < 0.9)
{
FragColor.rgb *= round((fract(v/2))+(fract(h/2)));
}

if (lum < 0.75)
{
FragColor.rgb *= round((fract(v+v/2))+(fract(h+h/2)));
}

if (lum < 0.5)
{
FragColor.rgb *= round((fract(v+v+v/2))+(fract(h+h/2)));
}

if (lum < 0.25)
{
FragColor.rgb *= round((fract(v+v/2))+(fract(h+h+h/2)));
}

}