//http://www.geeks3d.com/20091027/shader-library-posterization-post-processing-effect-glsl/

//Raising the gamma lowers the number of colours available for shadows.
//It's set to 0.46 right now because I figure it'll about linearize a 2.2 gamma image.
//Adjut the number of colours by altering the number in the lines commented with "The number of colors".

out vec4 FragColor;
in vec2 TexCoord;
uniform sampler2D Texture;

void main() 
{ 
  vec3 c = texture2D(Texture, TexCoord.xy).rgb;
  c = pow(c, vec3(0.46, 0.46, 0.46));//gamma, gamma, gamma
  c = c * 20;//The number of colors
  c = floor(c);
  c = c / 20;//The number of colors
  c = pow(c, vec3(1.0/0.46));//1.0/gamma
  FragColor = vec4(c, 1.0);
}