//Modified from compsci89's post at http://irrlicht.sourceforge.net/forum/viewtopic.php?f=9&t=45531
//If you're not going to play in 16:9 then you'll need to adjust the X value.
//Formula to get the X is 240*(aspectwidth/aspectheight). Round up to the next nearest number.
//For example, 16:9 is 240*(16/9)=426.667. That's an ugly-ass number though so I round up to the next even number, 428.

out vec4 FragColor;
in vec2 TexCoord;
uniform sampler2D Texture;
//uniform float new_w, new_h, palette;

vec4 pixelate(sampler2D tex, vec2 uv)
{
vec2 coord = vec2( (ceil(uv.x * 480) / 480),
ceil(uv.y * 200) / 200);
return texture2D(tex, coord);
}

void main()
{
vec4 color = pixelate(Texture, TexCoord);
FragColor = color;
}